AUTOPKGTEST-VIRT-PODMAN+ROCM(1)

NAME
autopkgtest-virt-podman+rocm - autopkgtest-virt-podman+rocm

DESCRIPTION
autopkgtest podman backend with support for AMD GPUs

This is a simple wrapper around autopkgtest-virt-podman that sets up the correct options to pass in devices and map necessary GIDs. All options on the command line are passed on directly to autopkgtest-virt-podman, so the reader is referred to its man page autopkgtest-virt-podman(1).

  Synopsis:

    virt/autopkgtest-virt-podman+rocm -h

    virt/autopkgtest-virt-podman+rocm autopkgtest [...] -- podman+rocm [options] image [-- extra podman-run args...]

EXAMPLES

    # Create an image first, if needed

    $ rocm-podman-create -m http://10.1.2.3:9999/debian rocm/debian:unstable

    # Run autopkgtests for src:rocrand, using packages from the Archive

    $ autopkgtest -B rocrand -- podman+rocm rocm/debian:unstable